;; -*- Mode: Lisp; External-format: (win32:code-page :id 1251 :eol-style :crlf); -*-
;;; Used instead of lispworks.ini when making new image instead of save-image
;;;
;;; Usage: Put the following into a separate file and feed to lispworks-xxx.exe
;;;  (load-all-patches)
;;;  (load "my-config/configure.lisp")
;;;  (save-image (merge-pathnames (make-pathname :name "my-lispworks")
;;;                               (lisp-image-name)))
;;;  (quit)
;;;
;;; Russian:      -   save-config-xxx.lisp

(toggle-source-debugging nil)

(compile-file (lw:current-pathname "key-binds") :load t)
(compile-file (lw:current-pathname "lisp-highlight-key-binds") :load t)
(compile-file (lw:current-pathname "menu-misc") :load t)

;; DDE support for Windows Explorer interaction
(compile-file (lw:current-pathname "lispworks-ide") :load t)

(editor::delete-selection-mode-command 1)	; typing replaces selection
(editor:setup-indent "if" 3 2 4)	; make all 3 args indented by 4

;; 3 lines from the top of the window, don't highlight
(setq editor:*source-found-action* '(3 nil))

;; Useful only with blink-rate facility (LW5).
;; Looks bad with full-screen editor panes. use only small ones in delivered applications!
;(setq capi:*editor-cursor-active-style* :left-bar)
;(capi:set-default-editor-pane-blink-rate nil)

;; Display an editor on starting up
(define-action "Initialize LispWorks Tools" "Ensure an Editor"
  (lambda (&optional screen) (capi:find-interface 'lw-tools:editor :screen screen)))

;; In order for the Alt key to activate the menu bar in Emacs emulation mode 
(setf (getf (cdr (assoc 'capi-win32-lib::*alt-is-meta-key*
                         capi::*key-style-definitions*)) :emacs) t)

(toggle-source-debugging t)


#||
;; Use screen font Courier instead of true type Courier New
(gp:define-font-alias :editor-pane-default-font 
                      (gp:gf nil "courier" :normal :roman 9))
(gp:define-font-alias :listener-pane-default-font
                      (gp:gf nil "courier" :normal :roman 8)) ; doesn't work
(:FAMILY "Lucida Console" :WEIGHT :NORMAL :SLANT :ROMAN :SIZE 8 :UNDERLINE NIL
 :STRIKEOUT NIL :WIDTH 5 :CHARSET :RUSSIAN :PITCH :FIXED :DEVICEP NIL :TYPE :TRUETYPE :W-FAMILY :MODERN)
||#
